using System;
using System.Collections.Generic;
using System.Text;

namespace AddSubtract
{
    class AddSubtract
    {
        public int Value { get; set; }
        public AddSubtract Add(int i)
        {
            Console.WriteLine($"Wartość: {Value}, dodawanie {i}");
            return new AddSubtract() { Value = Value + i };
        }
        public AddSubtract Subtract(int i)
        {
            Console.WriteLine($"Wartość: {Value}, odejmowanie {i}");
            return new AddSubtract() { Value = Value - i };
        }
    }

}
